Bug 1029605 - core/GUI: prevent potential serialization exceptions post upgrade to GWT 2.5
core/GUI: prevent potential serialization exceptions post upgrade to GWT 2.5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: vszocs
Jiri Belka
ux
: CodeChange, Triaged
Depends On: 1015683
Blocks: 1019626 3.3snap4
  Show dependency treegraph
 
Reported: 2013-11-12 12:30 EST by Einav Cohen
Modified: 2016-01-28 16:56 EST (History)
8 users (show)

See Also:
Fixed In Version: is26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1015683
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18908 None None None Never
oVirt gerrit 20273 None None None Never
oVirt gerrit 20274 None None None Never
oVirt gerrit 21732 None None None Never
oVirt gerrit 21733 None None None Never

  None (edit)
Description Einav Cohen 2013-11-12 12:30:53 EST
+++ This bug was initially created as a clone of Bug #1015683 +++

In GWT 2.5, there are stricter requirements for classes that are being (de)serialized via the GWT RPC (de)serialization mechanism:

a. class should have no member initialization (members should be initialized only within methods, typically c'tors)

b. class should have an explicit default c'tor.

need to change the relevant classes to comply with these requirements.

'a' is already taken care of by these patches [1]
still need to apply 'b' as well.

[1] by amureini:
http://gerrit.ovirt.org/#/c/18133/
http://gerrit.ovirt.org/#/c/18139/
http://gerrit.ovirt.org/#/c/18134/
http://gerrit.ovirt.org/#/c/18140/
http://gerrit.ovirt.org/#/c/18132/
http://gerrit.ovirt.org/#/c/18135/
http://gerrit.ovirt.org/#/c/18138/
http://gerrit.ovirt.org/#/c/18137/
Comment 5 Itamar Heim 2014-01-21 17:20:54 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:26:26 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.